//===========================================================================
// package
//===========================================================================
package jp.gr.java_conf.bugslife.bug;

//===========================================================================
// import
//===========================================================================
// Java core API
import java.util.*;
import java.text.*;
import org.apache.commons.logging.*;

// DB API
import jp.gr.java_conf.bugslife.db.*;

// Util API
import jp.gr.java_conf.bugslife.util.*;
import jp.gr.java_conf.bugslife.user.*;
import jp.gr.java_conf.bugslife.system.*;


/**
 *<PRE>
 * 
 * TatStatisticsクラス
 * 
 * TAT統計用のミニクラス
 * 
 *</PRE>
 * @version	0.0, 2001/09/10
 * @author	鰐川　正寛
 */
//===========================================================================
public class TatStatistics implements ILoadable
{
//===========================================================================
// attributes
//===========================================================================
	/**
	 *	日数
	 */
	private long m_tat;
	/**
	 *	bno
	 */
	private int m_bno;
	/**
	 *	ステータス
	 */
	private byte m_status;
	/**
	 *	発生日
	 */
	private Date m_issuDate;
	/**
	 *	担当
	 */
	private String m_name;
	/**
	 *	タイトル
	 */
	private String m_title;
	
	/**
	 * Log
	 */
	private Log log = LogFactory.getLog(this.getClass().getName());
//=====================================
// DB用項目定義
//=====================================
	/**
	 * PK 
	 */
	private static final String[] PK = {"tat"};
//===========================================================================
// methods
//===========================================================================
	/**
	 *	デフォルトコンストラクタ
	 *
	 */
	public TatStatistics()
	{
	}
//======================================
// Db Interface
//======================================
	/**
	 * PK items
	 */
	 public String[] getPKItems() {
		return PK;
	}
//======================================
// Property
//======================================
	/**
	 * 日数の取得
	 * 
	 * @return 日数
	 */
	public long getTat()
	{
		return m_tat;
	}
	/**
	 * 日数のセット
	 * 
	 * @param tat 日数
	 */
	public void setTat(long tat)
	{
		m_tat = tat;
	}
	/**
	 * bnoの取得
	 * 
	 * @return bno
	 */
	public int getBno()
	{
		return m_bno;
	}
	/**
	 * bnoの取得(文字列)
	 * 
	 * @return bnoString
	 */
	public String getBnoString()
	{
		return Converter.getNumberString(m_bno, "0000");
	}
	/**
	 * bnoのセット
	 * 
	 * @param bno bno
	 */
	public void setBno(int bno)
	{
		m_bno = bno;
	}
	/**
	 * ステータスの取得
	 * 
	 * @return ステータス
	 */
	public byte getStatus()
	{
		return m_status;
	}
	/**
	 * ステータスの取得(文字列)
	 * 
	 * @return ステータス
	 */
	public String getStatusString()
	{
		return Bug.getStatusString(m_status);
	}
	/**
	 * ステータスのセット
	 * 
	 * @param status ステータス
	 */
	public void setStatus(byte status)
	{
		m_status = status;
	}
	/**
	 * 発生日の取得
	 * 
	 * @return 発生日
	 */
	public Date getIssuDate()
	{
		return m_issuDate;
	}
	/**
	 * 発生日の取得(文字列)
	 * 
	 * @return 発生日
	 */
	public String getIssuDateString()
	{
		return (Converter.getDateString(m_issuDate, Converter.DATE));
	}
	/**
	 * 発生日のセット
	 * 
	 * @param issuDate 発生日
	 */
	public void setIssuDate(Date issuDate)
	{
		m_issuDate = issuDate;
	}
	/**
	 * 担当の取得
	 * 
	 * @return 担当
	 */
	public String getName()
	{
		return m_name;
	}
	/**
	 * 担当のセット
	 * 
	 * @param name 担当
	 */
	public void setName(String name)
	{
		m_name = name;
	}
	/**
	 * タイトルの取得
	 * 
	 * @return タイトル
	 */
	public String getTitle()
	{
		return m_title;
	}
	/**
	 * タイトルのセット
	 * 
	 * @param title タイトル
	 */
	public void setTitle(String title)
	{
		m_title = title;
	}
//======================================
// request param
//======================================
	/**
	 *	request parametorの生成
	 */
	public Map getMapping() {
		HashMap map = new HashMap();
		map.put("bno", new Integer(m_bno));
		return map;
	}
//===========================================================================
// methods
//===========================================================================
	/**
	 *	クラス情報
	 */
	public String toString()
	{
		StringBuffer sb = new StringBuffer();
		sb.append("--- [TatStatistics] --- \n");
		sb.append("tat   : " + m_tat + "\n");
		sb.append("bno   : " + m_bno + "\n");
		sb.append("status: " + m_status + "\n");
		sb.append("name  : " + m_name + "\n");
		sb.append("title : " + m_title + "\n");
		sb.append("--- [TatStatistics] --- \n");
		return sb.toString();
	}
}